Package com.salesforce.hyperdb.grpc

## Interface QueryParameterJsonOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QueryParameterJson`, `QueryParameterJson.Builder`

    public interface QueryParameterJsonOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getData()` `string data = 127;`
`com.google.protobuf.ByteString` `getDataBytes()` `string data = 127;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getData

    String getData()

`string data = 127;`

Returns:
  The data.

#### getDataBytes

    com.google.protobuf.ByteString getDataBytes()

`string data = 127;`

Returns:
  The bytes for data.